mui.init({
	swipeBack: true
});
//设置全局beforeSend
mui.ajaxSettings.beforeSend = function(xhr, setting) {
	var sysInfo = localStorage.getItem("sysInfo");
	if(sysInfo) {
		var asys = "";
		sysInfo = JSON.parse(sysInfo);
		for(var info in sysInfo) {
			asys += "&" + info + "=" + sysInfo[info];
		}
		var userInfo = localStorage.getItem("userInfo");
		if(userInfo) {
			userInfo = JSON.parse(userInfo);
			if(userInfo.id)
				asys += "&uid=" + userInfo.id;
		}
		if(setting.data) {
			setting.data = setting.data + asys;
		} else {
			setting.data = asys.substring(1, asys.length);
		}
		if(setting.type.toLocaleLowerCase() == "get") {
			if(setting.url.indexOf("?") != -1) {
				setting.url = setting.url + asys;;
			} else {
				setting.url = setting.url + "?" + asys.substring(1, asys.length);
			}
		}
	}
};
mui.ajaxSettings.error = function(xhr, type, error) {
	/*var url = window.location.href;
	var isload = false;
	if(url.indexOf("/goods/") != -1) {
		isload = true;
	} else if(url.indexOf("/composition/") != -1) {
		isload = true;
	} else if(url.indexOf("/my/") != -1) {
		isload = true;
	} else if(url.indexOf("/find/") != -1) {
		isload = true;
	} else if(url.indexOf("/other/") != -1) {
		isload = true;
	}
	if(isload) {
		plus.nativeUI.closeWaiting();
		xhr.abort();
		plus.nativeUI.alert("请尝试检查您的网络是否正常，或者点击确认重新进入哦！", function(e) {
			if(mui("#pullrefresh")[0]) {
				mui("#pullrefresh").endPullupToRefresh(true);
			}
			//mui.back();
		}, "亲爱的修宝：", "确定");
	}*/

}

//设置全局complete 
mui.ajaxSettings.complete = function(xhr, status, settings) {
	//alert(JSON.stringify(settings));
}
var BLE = {};
BLE.bpath = "_www/";
BLE.path_img_goods = "http://img.bevol.cn/Goods/source/";
BLE.path_img_news = "http://img.bevol.cn/News/source/";
BLE.path_img_find = "http://img.bevol.cn/Find/";
BLE.path_img_findswiper = "http://img.bevol.cn/find_type/";
BLE.path_img_findgoods = "http://img.bevol.cn/goods_category/";
BLE.path_img_hotlist = "http://img.bevol.cn/Lists/";
BLE.path_source = "http://source.bevol.cn/";
BLE.path_search = "http://search.bevol.cn/";
BLE.path_api = "http://api.bevol.cn/";

BLE.extras = {};
BLE.loadBanner = function(call) {
	var vtime = getItemFun("vtime").vtime;
	var url = BLE.path_source + "app/index.json?vtime=" + vtime;
	if(plus.storage.getItem("index") != vtime) {
		var vtime = plus.storage.setItem("index", vtime);
		mui.get(url, {}, function(data) {
			if(data.state) {
				//本地缓存  
				BLE.bannertml(data.data);
				BLE.categorytml(data.data);
				if(call) call();
			}
		}, "json");
	} else {
		var strs = plus.storage.getItem('home');
		document.getElementById("category").innerHTML = strs;
		var btml = plus.storage.getItem('bannerimg');
		var itemactive = plus.storage.getItem('banneraction');
		document.getElementById('bannerimg').innerHTML = btml;
		document.getElementById('banneraction').innerHTML = itemactive;
		//重新加载
		mui('#slider').slider({
			interval: 10000 // 自动轮播周期，若为0则不自动播放，默认为0；
		});

	}
}
BLE.bannertml = function(data) {
		var btml = "";
		var itemactive = "";
		var banner = data.banners;
		var href = "find/info.html";
		if(banner.length >= 1) {
			btml += '<div class="mui-slider-item mui-slider-item-duplicate"><a data-id="' + banner[0].findid + '" a-href href="' + href + '"><img src="' + banner[0].image + '"></a></div>';
			itemactive += '<div class="mui-indicator  mui-active"></div>';
		}
		for(var i = 0; i < banner.length; i++) {
			btml += '<div class="mui-slider-item"><a a-href data-id="' + banner[i].findid + '" href="' + href + '"><img style="display:inline-block;width:100%;" src="' + banner[i].image + '"></a></div>';
			if(i >= 1)
				itemactive += '<div class="mui-indicator"></div>';
		}
		if(banner.length > 1) {
			btml += '<div class="mui-slider-item mui-slider-item-duplicate"><a data-id="' + banner[banner.length - 1].findid + '" a-href href="' + href + '"><img src="' + banner[banner.length - 1].image + '"></a></div>';
		}
		document.querySelector("#bannerimg").innerHTML = btml;
		document.querySelector("#banneraction").innerHTML = itemactive;
		plus.storage.setItem('bannerimg', btml);
		plus.storage.setItem('banneraction', itemactive);
		//重新加载
		mui('#slider').slider({
			interval: 10000 // 自动轮播周期，若为0则不自动播放，默认为0；
		});

	}
	//加载分类
BLE.categorytml = function(data) {

		var btml = "";
		var itemactive = "";
		data = data.categorylists;
		document.getElementById("category").innerHTML = "";
		var strs = "";
		for(var i = 0; i < data.length; i++) {
			var goodslist = data[i].goodslist;
			var name = data[i].name;
			var href = data[i].href;
			var title = '<ul class="mui-table-view" id="list">' +
				'<li class="mui-table-view-cell">' +
				'<a class="mui-navigate-right" text-title="热搜榜单" a-href data-id="' + data[i].id + '"   data-name="' + data[i].name + '"  href="' + href + '"style="color:#b089c7;font-size:14px;">' +
				'<span style="font-size:16px;">' + name + '</span>' + '<span id="more-span">更多</span>' +
				'</a>' +
				'</li>' +
				'</ul>';
			var subcontent = '<li class="mui-table-view-cell mui-media mui-col-xs-6">' +
				'<a data-id="' + goodslist[0].mid + '" a-href href="' + goodslist[0].href + '">' +
				'<div class="mui-media-body" style="margin-top:40px;">' + goodslist[0].title + '</div>' +
				'<img id="xs6img" class="mui-media-object" src="' + goodslist[0].image + '" alt=""/>' +
				'</a>' + '</li>';
			for(var j = 1; j < goodslist.length; j = j + 2) {
				subcontent += '<li class="mui-table-view-cell mui-media mui-col-xs-3">' +
					'<a data-id="' + goodslist[j].mid + '" a-href href="' + goodslist[j].href + '" style="border-bottom:1px solid #EFEFEF;">' +
					'<div class="mui-media-body" style="margin-top:-5px;">' + goodslist[j].title + '</div>' +
					'<img class="mui-media-object" src="' + goodslist[j].image + '"/>' +
					'</a>' +
					'<a data-id="' + goodslist[j + 1].mid + '"  a-href href="' + goodslist[j + 1].href + '">' +
					'<div class="mui-media-body">' + goodslist[j + 1].title + '</div>' +
					'<img class="mui-media-object" src="' + goodslist[j + 1].image + '"/>' +
					'</a>' +
					'</li>';
			}
			var content = '<ul class="mui-table-view mui-grid-view" id="show-ul">' + subcontent + '</ul>';
			var ctn = title + content
			strs += "<div>" + ctn + '</div>'
		}
		var div = document.createElement('div');
		div.innerHTML = strs;
		plus.storage.setItem('home', strs);
		document.getElementById("category").appendChild(div);
	}
	/**
	 * 启动登录
	 */
BLE.login = function(call) {
	var authinfo = getItemFun("authinfo");
	var url = BLE.path_api + "open/app";
	setItemFun("user_info", {});
	myUser.set({})
	if(!authinfo) {
		authinfo = {};
	}
	mui.post(url, authinfo, function(data) {
		if(data.ret == 0) {
			myUser.set(data.result);
			if(call)
				call();
		} else {
			if(data.msg)
				mui.toast(data.msg, {
					duration: 10000
				});
			logoutAll(1);
			if(call)
				call();

		}
	})
}

BLE.versionUpdate = function(call) {
	var url = BLE.path_source + "app/source/ver.json?t=" + new Date().getTime();
	mui.get(url, {}, function(data) {
		setItemFun("vtime", data);
		var systype = plus.os.name == "iOS" ? 1 : 0;
		var vtime = getItemFun("vtime").vtime;
		var url = BLE.path_source + "app/source/checkversion/" + systype + ".json?vtime=" + vtime;
		//		var url = "http://p.bevol.cn/source/checkversion/systype/0/syns/true";
		/*if(data.sver==plus.runtime.version) {
			alert(data.url);
			//差量升级
			if(data.url) {
				updateUp(data.url);
			}
			return;
		}*/
		mui.get(url, {}, function(data) {
			//比较是否同一个版本  
			if(data && data.state) {
				var vers = data.data;
				if(!vers || vers.length < 0) {
					if(call)
						call();
				}
				var ver = vers[vers.length - 1];
				//alert("5:"+JSON.stringify(ver));
				if(plus.runtime.version < parseFloat(ver.version)) {
					if(ver.isremind != 1) {
						call();
						return;
					}

					//上线要去掉
					//						call();
					//						return;
					//android的
					//必须更新
					if(ver.mustupgrade == 0) {
						//是否需要更新
						var bts = ["取消", "确定"];
						plus.nativeUI.confirm(ver.content, function(e) {
							var i = e.index;
							if(i == 1) {

								if(systype == 0) {
									updateApp(ver.url);
								} else {
									//ios的
									plus.runtime.openURL(ver.url);
								}
							} else {
								if(call)
									call();
							}
						}, "升级", bts);
					} else {
						plus.nativeUI.alert(ver.content, function(e) {
							if(systype == 0) {
								updateApp(ver.url);
							} else {
								//ios的
								plus.runtime.openURL(ver.url);
							}
						}, "升级", "确定");
					}
				} else {
					if(call)
						call();
				}
			}

		}, "json");

	}, "json");

}

var self;
(function($, doc) {
	$.ready(function() {
		mui.plusReady(function() {
			self = plus.webview.currentWebview();
		});
	})
})(mui, document);
var nativeWebview, imm, InputMethodManager;
var initNativeObjects = function() {
	if(mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function() {
	if(mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		//此处可写具体逻辑设置获取焦点的input
		var inputElem = document.querySelector('input');
		inputElem.focus();
	}, 200);
};
BLE.keyboard = function() {
	setTimeout(function() {
		initNativeObjects();
		showSoftInput();
	}, 100)
}

/**
 * 页面切换 a-href属性，href表示url
 */
mui(document).on('tap', '[a-href]', function() {
	var id = this.getAttribute('href');
	var islogin = this.getAttribute('islogin');
	var isclose = this.getAttribute('isclose');
	var initFun = this.getAttribute('initFun');
	var reload = this.getAttribute('reload');
	var before = this.getAttribute('fun-before');
	var tpl = this.getAttribute('load-tpl');
	var aniShow = this.getAttribute('aniShow');
	var toPage = null;
	var eid = this.getAttribute("data-id");
	var mid = this.getAttribute("data-mid");
	var mname = this.getAttribute("data-name");
	var tname = this.getAttribute("data-tname");
	var title = this.getAttribute("data-title");
	var url = this.getAttribute("data-url");
	var shoptitle = this.getAttribute("data-shoptitle");
	var keywords = this.getAttribute("data-keywords");
	var check = this.getAttribute("data-check");
	var nickName = this.getAttribute("data-nickName");
	var entityId = this.getAttribute("data-entityId");
	var score = this.getAttribute("data-score");
	mui.extend(BLE.extras, {
		id: eid,
		mid: mid,
		name: mname,
		tname: tname,
		keywords: keywords,
		title: title,
		url: url,
		shoptitle: shoptitle,
		check: check,
		nickName: nickName,
		entityId: entityId,
		score: score
	}, true);
	setItemFun("BLE_extras", BLE.extras);
	var _this = this;
	if(tpl) {
		//使用模板
		toPage = BLE.usertpl;
	} else {
		function toPage2() {
			var href = id;
			//更换标题
			//不使用父子模板方案的页面
			var webview_style = {
				popGesture: "close"
			};
			var contentPage = plus.webview.getWebviewById(href);
			var isshow = false;

			function show() {

				if(!isshow) {
					setTimeout(function() {
						isshow = true;
						aniShow = aniShow || "slide-in-right";
						mui.fire(contentPage, 'getParam', BLE.extras);
						mui.fire(contentPage, 'init', BLE.extras);
						contentPage.show(aniShow, 300);
					}, 500)
				}
			}
			if(!contentPage) {
				contentPage = mui.preload({
					url: href,
					id: href, //默认使用当前页面的url作为id
					styles: { //启用右滑关闭功能
						scrollIndicator: "none"
					}, //窗口参数
					extras: {}, //自定义扩展参数
					waiting: {
						autoShow: true
					}
				});
			}
			if(before) {
				eval(before);
			}
			if(reload) {
				//contentPage.reload(true)
			}
			contentPage.evalJS("window.scrollTo(0,0)");
			//if(initFun)
			//	plus.webview.getWebviewById(href).evalJS(initFun);
			if(document.getElementById("logininfo").style.display == "block") {
				setTimeout(function() {
					mui("#logininfo").popover('hide');
				}, 300);
			}
			show();
		}
		toPage = toPage2;
	}
	// document.getElementById("msg-list").innerHTML="";
	if(islogin) {
		setItemFun("to_pager", {
			"a-href": id,
			"openerid": plus.webview.currentWebview().id
		});
		logincheck(function(userinfo) {

			toPage.call(_this);
		}, function() {
			toPage.call(_this);
		})

	} else {
		toPage.call(_this);
	}
});
var templates = {};
var getTemplate = function(name, header, content) {
	var template = templates[name];
	if(!template) {
		//预加载共用父模板；
		var headerWebview = mui.preload({
			url: header,
			id: name + "-main",
			styles: {
				popGesture: "hide",
			},
			extras: {
				mType: 'main'
			}
		});
		//预加载共用子webview
		var subWebview = mui.preload({
			url: !content ? "" : content,
			id: name + "-sub",
			styles: {
				top: '44px',
				bottom: '0px',
			},
			extras: {
				mType: 'sub'
			}
		});
		subWebview.addEventListener('loaded', function() {
			setTimeout(function() {
				subWebview.show();
			}, 50);
		});
		subWebview.hide();
		headerWebview.append(subWebview);
		//iOS平台支持侧滑关闭，父窗体侧滑隐藏后，同时需要隐藏子窗体；
		if(mui.os.ios) { //5+父窗体隐藏，子窗体还可以看到？不符合逻辑吧？
			headerWebview.addEventListener('hide', function() {
				subWebview.hide("none");
			});
		}
		templates[name] = template = {
			name: name,
			header: headerWebview,
			content: subWebview,
		};
	}
	return template;
};
var initTemplates = function() {
	getTemplate('default', '_www/public/tpl/default.html');
};
BLE.usertpl = function() {
	var id = this.id;
	var href = this.href;
	var aniShow = "pop-in";
	if(!~id.indexOf('popovers.html') && mui.os.ios) {
		mui.openWindow({
			id: id,
			url: this.href,
			styles: {
				popGesture: 'close'
			},
			show: {
				aniShow: aniShow
			},
			waiting: {
				autoShow: false
			}
		});
	} else {
		//TODO  by chb 当初这么设计，是为了一个App中有多个模板，目前仅有一个模板的情况下，实际上无需这么复杂
		//使用父子模板方案打开的页面
		//获得共用模板组
		var template = getTemplate('default');
		//判断是否显示右上角menu图标；
		var showMenu = ~href.indexOf('popovers.html') ? true : false;
		//获得共用父模板
		var headerWebview = template.header;
		//获得共用子webview
		var contentWebview = template.content;
		var title = this.getAttribute("text-title");
		if(!title)
			title = this.innerText.trim();
		//通知模板修改标题，并显示隐藏右上角图标；
		mui.fire(headerWebview, 'updateHeader', {
			title: title,
			showMenu: "",
			target: href,
			aniShow: aniShow
		});
		//contentWebview.evalJS('document.getElementsByTagName("header")[0].style.display="none"');
		setTimeout(function() {
			contentWebview.evalJS("window.scrollTo(0,0)");
			mui.fire(contentWebview, "getParam", BLE.extras)

		}, 1000)
		if(mui.os.ios || (mui.os.android && parseFloat(mui.os.version) < 4.4)) {
			var reload = true;
			if(!template.loaded) {
				if(contentWebview.getURL() != this.href) {
					contentWebview.loadURL(this.href);
				} else {
					reload = false;
				}
			} else {
				reload = false;
			} //load-tpl
			(!reload) && contentWebview.show();
			headerWebview.show(aniShow, 150);
		}
	}
}
var loading = {
	padlock: true,
	back: 'close',
	loading: {
		display: 'block',
		icon: BLE.bpath + "/images/guzhang.png"
	}
};

mui(document).on('tap', '.my_like', function() {
	var id = document.getElementById("entityid").value;
	var tname = document.getElementById("tname").value;
	var mid = document.getElementById("mid");
	var data_type = this.getAttribute('data-type');
	if(!mid) mid = "";
	else mid = mid.value;
	logincheck(function(userinfo) {
		var status = getItemFun("status");
		if(status && status.like) {
			return false;
		}
		plus.nativeUI.showWaiting("提交中...", loading);
		var user = myUser.get();
		var skin = "";
		if(user.result) skin = user.result;
		var _this = this;
		var url = BLE.path_api + "auth/entity/like/" + tname;
		mui.post(url, {
			id: id,
			type: data_type,
			skin: skin
		}, function(data) {
			plus.nativeUI.closeWaiting();
			if(data.ret == 0) {
				var status = getItemFun("status");
				if(!status) {
					status = {};
				}
				status.like = data_type;
				setItemFun("status", status);
				var foothtml = template('footer-tpl', {
					"status": status
				});
				document.getElementById('html-footer').innerHTML = foothtml;
			}
		}, "json")

	}, function() {
		BLE.reload(id, "", mid);
	})

})

mui(document).on("tap", ".collectionevent", function() {
	var id = document.getElementById("entityid").value;
	var tname = document.getElementById("tname").value;
	var mid = document.getElementById("mid");
	if(!mid) mid = "";
	else mid = mid.value;
	var url = BLE.path_api + "auth/entity/collection/" + tname;
	logincheck(function(userinfo) {
		var status = getItemFun("status");
		var type = 1;
		if(status) {
			type = status.isCollection == 1 ? 0 : 1;
		}
		if(type == 0) {
			plus.nativeUI.toast("请到我的收藏里面取消收藏哦！");
			return false;
		}
		//检查是否收藏
		var skin = "";
		var user = myUser.get();
		if(user.result) skin = user.result;
		plus.nativeUI.showWaiting("提交中...", loading);

		mui.post(url, {
			id: id,
			type: type
		}, function(data) {
			plus.nativeUI.closeWaiting();
			if(data.ret == 0) {
				var status = getItemFun("status");
				if(!status) {
					status = {};
				}
				status.isCollection = type;
				setItemFun("status", status);
				var foothtml = template('footer-tpl', {
					"status": status
				});

				document.getElementById('html-footer').innerHTML = foothtml;
			}
		}, "json")
	}, function() {
		BLE.reload(id, "", mid);
	})

})

mui(document).on('tap', '[a-static]', function() {
	var id = this.getAttribute('href');
	var href = id;
	//更换标题
	//不使用父子模板方案的页面
	var webview_style = {
		popGesture: "close"
	};
	//侧滑菜单需动态控制一下zindex值；
	if(~id.indexOf('offcanvas-')) {
		webview_style.zindex = 9998;
		webview_style.popGesture = ~id.indexOf('offcanvas-with-right') ? "close" : "none";
	}
	//图标界面需要启动硬件加速
	if(~id.indexOf('icons.html')) {
		webview_style.hardwareAccelerated = true;
	}
	var contentPage = mui.preload({
		url: href,
		id: href, //默认使用当前页面的url作为id
		styles: {}, //窗口参数
		extras: {} //自定义扩展参数
	});
	mui.fire(contentPage, 'getParam', BLE.extras);

	//document.querySelector("header").remove();
	mui.openWindow({
		id: id,
		url: href,
		styles: webview_style,
		show: {
			aniShow: "pop-in"
		},
		waiting: {
			autoShow: false
		}
	});
});

function removeElement(_element) {
	if(_element && _element.parentNode) {
		var _parentElement = _element.parentNode;
		if(_parentElement) {
			_parentElement.removeChild(_element);
		}

	}
}

function getElementPos(elementId) {

	var ua = navigator.userAgent.toLowerCase();

	var isOpera = (ua.indexOf('opera') != -1);

	var isIE = (ua.indexOf('msie') != -1 && !isOpera); // not opera spoof    

	var el = document.getElementById(elementId);

	if(el.parentNode === null || el.style.display == 'none') {

		return false;

	}
	var parent = null;
	var pos = [];
	var box;
	if(el.getBoundingClientRect) //IE    
	{
		box = el.getBoundingClientRect();
		var scrollTop = Math.max(document.documentElement.scrollTop, document.body.scrollTop);
		var scrollLeft = Math.max(document.documentElement.scrollLeft, document.body.scrollLeft);
		return {
			x: box.left + scrollLeft,
			y: box.top + scrollTop
		};
	} else if(document.getBoxObjectFor) // gecko        
	{
		box = document.getBoxObjectFor(el);
		var borderLeft = (el.style.borderLeftWidth) ? parseInt(el.style.borderLeftWidth) : 0;
		var borderTop = (el.style.borderTopWidth) ? parseInt(el.style.borderTopWidth) : 0;
		pos = [box.x - borderLeft, box.y - borderTop];
	} else // safari & opera        
	{
		pos = [el.offsetLeft, el.offsetTop];
		parent = el.offsetParent;
		if(parent != el) {
			while(parent) {
				pos[0] += parent.offsetLeft;
				pos[1] += parent.offsetTop;
				parent = parent.offsetParent;
			}
		}
		if(ua.indexOf('opera') != -1 || (ua.indexOf('safari') != -1 && el.style.position == 'absolute')) {
			pos[0] -= document.body.offsetLeft;
			pos[1] -= document.body.offsetTop;
		}
	}
	if(el.parentNode) {
		parent = el.parentNode;
	} else {
		parent = null;
	}
	while(parent && parent.tagName != 'BODY' && parent.tagName != 'HTML') { // account for any scrolled 
		ancestors
		pos[0] -= parent.scrollLeft;
		pos[1] -= parent.scrollTop;
		if(parent.parentNode) {
			parent = parent.parentNode;
		} else {
			parent = null;
		}
	}
	return {
		x: pos[0],
		y: pos[1]
	};
}

function setItemFun(key, value) {
	if(key == "userInfo" && value && value.id) {
		localStorage.setItem("userInfo", JSON.stringify(value))
	}
	plus.storage.setItem(key, JSON.stringify(value));
}

function getItemFun(key) {
	var userinfo = plus.storage.getItem(key);
	userinfo = JSON.parse(userinfo);
	return userinfo;
}

function delItemFun(key) {
	if(key == "userInfo") {
		localStorage.removeItem("userInfo");
	}
	plus.storage.removeItem(key);
}

var loginhtml = '<div id="logininfo" class="mui-popover mui-popover-action mui-popover-bottom" style="padding-top:0;margin-bottom:-60px;">' +
	'<div id="dcontent" class="dcontent" >' +
	'<div id="oauth"></div>' +
	'<br/>' +
	'<div class="button button-waring" onclick="logoutAll()"></div>' +
	'</div>' +
	'<div id="output">' +
	'</div>' +
	'</div>';

function initlogin() {
	var logindiv = document.getElementById("logindiv");
	if(logindiv)
		removeElement(logindiv);
	//用户登录
	var div = document.createElement("div");
	div.id = "logindiv";
	div.innerHTML = loginhtml;
	document.body.appendChild(div);

}
initlogin();
var myUser = {
	get: function() {
		var u = getItemFun("userInfo");
		if(u) mui.extend(this, u);
		return u ? u : {};
	},
	setField: function(k, v) {
		var u = myUser.get();
		u[k] = v;
		setItemFun("userInfo", u);
	},
	set: function(data) {
		setItemFun("userInfo", data);
	}
}

function getCookie(name) {
	var value = "";
	var cookie = ";" + plus.navigator.getCookie("http://*.bevol.cn").replace(/;\s+/g, ";") + ";"
	var pos = cookie.indexOf(";" + name + "=");
	if(pos > -1) {
		var start = cookie.indexOf("=", pos);
		var end = cookie.indexOf(";", start);
		value = unescape(cookie.substring(start + 1, end));
	}
	return value;
}

function removeAllCookie() {
	plus.navigator.removeSessionCookie();
}
//关闭页面 .blove-colse
mui(document).on("tap", ".blove-colse", function() {
	self.close();
});
//自动获得键盘
//点击对话框跳转
var ablurs = document.querySelectorAll(".a-blur");
for(var i = 0; i < ablurs.length; i++) {
	var al = ablurs[i];
	al.addEventListener("click", function(e) {
		var id = this.getAttribute('href');
		var href = id;
		//更换标题
		//不使用父子模板方案的页面
		var webview_style = {
			popGesture: "close"
		};
		//侧滑菜单需动态控制一下zindex值；
		if(~id.indexOf('offcanvas-')) {
			webview_style.zindex = 9998;
			webview_style.popGesture = ~id.indexOf('offcanvas-with-right') ? "close" : "none";
		}
		//图标界面需要启动硬件加速
		if(~id.indexOf('icons.html')) {
			webview_style.hardwareAccelerated = true;
		}
		var contentPage = plus.webview.getWebviewById(id);
		mui.fire(contentPage, 'getParam', BLE.extras);
		contentPage.show();
	});
}

BLE.autoTop = function() {
	var div = document.createElement("div");
	div.id = "backto-top";
	div.innerHTML = '<img src="../images/home/backtotop.png" alt="" /><span>顶部</span>'
	document.body.appendChild(div);
	mui(document).on("tap", "#backto-top", function() {
		mui('.mui-scroll-wrapper').scroll().scrollTo(0, 0, 100)
	});
}

/*仅下拉分页**************start******************************/
BLE.UPR = function(slides, option) {
		//阻尼系数
		var deceleration = mui.os.ios ? 0.003 : 0.0009;
		mui('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true, //是否显示滚动条
			deceleration: deceleration
		});

		//禁止左右滑动
		var nobus = mui(".mui-slider-nobounce");
		for(var i = 0; i < nobus.length; i++) {
			mui(nobus[i]).slider({
				bounce: false
			});
		}
		mui.back = function() {
			var mus = mui('.mui-scroll-wrapper');
			for(var i = 0; i < mus.length; i++)
				mui(mus[i]).scroll().scrollTo(0, 0, 100);
			var dgs = document.querySelectorAll(".html");
			for(var i = 0; i < dgs.length; i++) {
				dgs[i].innerHTML = "";
			}
			self.hide();
		}
		var datahtml = document.querySelectorAll('.data-html');
		BLE.pullRefreshEls = datahtml;
		mui.each(datahtml, function(index, pullRefreshEl) {
			var slider = slides[index];
			if(BLE.pulldownRefresh) {
				mui(pullRefreshEl).pullToRefresh({
					up: {
						callback: function() {
							var self = this;
							BLE.pullupRefresh(slider, self)
						}
					},
					down: {
						callback: function() {
							var self = this;
							BLE.pulldownRefresh(slider, self)
						},
						contentnomore: '没有更多数据了'
					}
				});
			} else {
				mui(pullRefreshEl).pullToRefresh({
					up: {
						callback: function() {
							var self = this;
							BLE.pullupRefresh(slider, self)
						}
					}
				});

			}
		});
		var curEl = datahtml[0];
		mui(document).on("tap", ".mui-control-item", function() {
			if(curEl == datahtml[index]) return;
			var index = this.getAttribute("index");
			index = parseInt(index);
			mui(datahtml[index]).pullToRefresh().pullUpLoading();
			curEl = datahtml[index];
		});
	}
	/**
	 * 选项卡下拉刷新
	 */
function uprefreshtap() {

	//禁止左右滑动
	mui(BLE.pullRefreshEls[0]).pullToRefresh().refresh(true);
	mui(BLE.pullRefreshEls[0]).pullToRefresh().pullUpLoading();
}

/**
 * 调用：
 * 1、BLE.UPR()
 * 
 * 
 * */
/*仅下拉分页**************end*******************************/

function indexwebview(id, data) {
	var main = plus.webview.getLaunchWebview();
	data = data ? data : {};
	mui.fire(main, 'go' + id, data);
	setTimeout(function() {
		main.show("index.html");
	}, 1000)
}

/*
 * Javascript md5() 函数 用于生成字符串对应的md5值
 * 吴先成  www.51-n.com ohcc@163.com QQ:229256237
 * @param string string 原始字符串
 * @return string 加密后的32位md5字符串
 */
function md5(string) {
	function md5_RotateLeft(lValue, iShiftBits) {
		return(lValue << iShiftBits) | (lValue >>> (32 - iShiftBits));
	}

	function md5_AddUnsigned(lX, lY) {
		var lX4, lY4, lX8, lY8, lResult;
		lX8 = (lX & 0x80000000);
		lY8 = (lY & 0x80000000);
		lX4 = (lX & 0x40000000);
		lY4 = (lY & 0x40000000);
		lResult = (lX & 0x3FFFFFFF) + (lY & 0x3FFFFFFF);
		if(lX4 & lY4) {
			return(lResult ^ 0x80000000 ^ lX8 ^ lY8);
		}
		if(lX4 | lY4) {
			if(lResult & 0x40000000) {
				return(lResult ^ 0xC0000000 ^ lX8 ^ lY8);
			} else {
				return(lResult ^ 0x40000000 ^ lX8 ^ lY8);
			}
		} else {
			return(lResult ^ lX8 ^ lY8);
		}
	}

	function md5_F(x, y, z) {
		return(x & y) | ((~x) & z);
	}

	function md5_G(x, y, z) {
		return(x & z) | (y & (~z));
	}

	function md5_H(x, y, z) {
		return(x ^ y ^ z);
	}

	function md5_I(x, y, z) {
		return(y ^ (x | (~z)));
	}

	function md5_FF(a, b, c, d, x, s, ac) {
		a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_F(b, c, d), x), ac));
		return md5_AddUnsigned(md5_RotateLeft(a, s), b);
	};

	function md5_GG(a, b, c, d, x, s, ac) {
		a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_G(b, c, d), x), ac));
		return md5_AddUnsigned(md5_RotateLeft(a, s), b);
	};

	function md5_HH(a, b, c, d, x, s, ac) {
		a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_H(b, c, d), x), ac));
		return md5_AddUnsigned(md5_RotateLeft(a, s), b);
	};

	function md5_II(a, b, c, d, x, s, ac) {
		a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_I(b, c, d), x), ac));
		return md5_AddUnsigned(md5_RotateLeft(a, s), b);
	};

	function md5_ConvertToWordArray(string) {
		var lWordCount;
		var lMessageLength = string.length;
		var lNumberOfWords_temp1 = lMessageLength + 8;
		var lNumberOfWords_temp2 = (lNumberOfWords_temp1 - (lNumberOfWords_temp1 % 64)) / 64;
		var lNumberOfWords = (lNumberOfWords_temp2 + 1) * 16;
		var lWordArray = Array(lNumberOfWords - 1);
		var lBytePosition = 0;
		var lByteCount = 0;
		while(lByteCount < lMessageLength) {
			lWordCount = (lByteCount - (lByteCount % 4)) / 4;
			lBytePosition = (lByteCount % 4) * 8;
			lWordArray[lWordCount] = (lWordArray[lWordCount] | (string.charCodeAt(lByteCount) << lBytePosition));
			lByteCount++;
		}
		lWordCount = (lByteCount - (lByteCount % 4)) / 4;
		lBytePosition = (lByteCount % 4) * 8;
		lWordArray[lWordCount] = lWordArray[lWordCount] | (0x80 << lBytePosition);
		lWordArray[lNumberOfWords - 2] = lMessageLength << 3;
		lWordArray[lNumberOfWords - 1] = lMessageLength >>> 29;
		return lWordArray;
	};

	function md5_WordToHex(lValue) {
		var WordToHexValue = "",
			WordToHexValue_temp = "",
			lByte, lCount;
		for(lCount = 0; lCount <= 3; lCount++) {
			lByte = (lValue >>> (lCount * 8)) & 255;
			WordToHexValue_temp = "0" + lByte.toString(16);
			WordToHexValue = WordToHexValue + WordToHexValue_temp.substr(WordToHexValue_temp.length - 2, 2);
		}
		return WordToHexValue;
	};

	function md5_Utf8Encode(string) {
		string = string.replace(/\r\n/g, "\n");
		var utftext = "";
		for(var n = 0; n < string.length; n++) {
			var c = string.charCodeAt(n);
			if(c < 128) {
				utftext += String.fromCharCode(c);
			} else if((c > 127) && (c < 2048)) {
				utftext += String.fromCharCode((c >> 6) | 192);
				utftext += String.fromCharCode((c & 63) | 128);
			} else {
				utftext += String.fromCharCode((c >> 12) | 224);
				utftext += String.fromCharCode(((c >> 6) & 63) | 128);
				utftext += String.fromCharCode((c & 63) | 128);
			}
		}
		return utftext;
	};
	var x = Array();
	var k, AA, BB, CC, DD, a, b, c, d;
	var S11 = 7,
		S12 = 12,
		S13 = 17,
		S14 = 22;
	var S21 = 5,
		S22 = 9,
		S23 = 14,
		S24 = 20;
	var S31 = 4,
		S32 = 11,
		S33 = 16,
		S34 = 23;
	var S41 = 6,
		S42 = 10,
		S43 = 15,
		S44 = 21;
	string = md5_Utf8Encode(string);
	x = md5_ConvertToWordArray(string);
	a = 0x67452301;
	b = 0xEFCDAB89;
	c = 0x98BADCFE;
	d = 0x10325476;
	for(k = 0; k < x.length; k += 16) {
		AA = a;
		BB = b;
		CC = c;
		DD = d;
		a = md5_FF(a, b, c, d, x[k + 0], S11, 0xD76AA478);
		d = md5_FF(d, a, b, c, x[k + 1], S12, 0xE8C7B756);
		c = md5_FF(c, d, a, b, x[k + 2], S13, 0x242070DB);
		b = md5_FF(b, c, d, a, x[k + 3], S14, 0xC1BDCEEE);
		a = md5_FF(a, b, c, d, x[k + 4], S11, 0xF57C0FAF);
		d = md5_FF(d, a, b, c, x[k + 5], S12, 0x4787C62A);
		c = md5_FF(c, d, a, b, x[k + 6], S13, 0xA8304613);
		b = md5_FF(b, c, d, a, x[k + 7], S14, 0xFD469501);
		a = md5_FF(a, b, c, d, x[k + 8], S11, 0x698098D8);
		d = md5_FF(d, a, b, c, x[k + 9], S12, 0x8B44F7AF);
		c = md5_FF(c, d, a, b, x[k + 10], S13, 0xFFFF5BB1);
		b = md5_FF(b, c, d, a, x[k + 11], S14, 0x895CD7BE);
		a = md5_FF(a, b, c, d, x[k + 12], S11, 0x6B901122);
		d = md5_FF(d, a, b, c, x[k + 13], S12, 0xFD987193);
		c = md5_FF(c, d, a, b, x[k + 14], S13, 0xA679438E);
		b = md5_FF(b, c, d, a, x[k + 15], S14, 0x49B40821);
		a = md5_GG(a, b, c, d, x[k + 1], S21, 0xF61E2562);
		d = md5_GG(d, a, b, c, x[k + 6], S22, 0xC040B340);
		c = md5_GG(c, d, a, b, x[k + 11], S23, 0x265E5A51);
		b = md5_GG(b, c, d, a, x[k + 0], S24, 0xE9B6C7AA);
		a = md5_GG(a, b, c, d, x[k + 5], S21, 0xD62F105D);
		d = md5_GG(d, a, b, c, x[k + 10], S22, 0x2441453);
		c = md5_GG(c, d, a, b, x[k + 15], S23, 0xD8A1E681);
		b = md5_GG(b, c, d, a, x[k + 4], S24, 0xE7D3FBC8);
		a = md5_GG(a, b, c, d, x[k + 9], S21, 0x21E1CDE6);
		d = md5_GG(d, a, b, c, x[k + 14], S22, 0xC33707D6);
		c = md5_GG(c, d, a, b, x[k + 3], S23, 0xF4D50D87);
		b = md5_GG(b, c, d, a, x[k + 8], S24, 0x455A14ED);
		a = md5_GG(a, b, c, d, x[k + 13], S21, 0xA9E3E905);
		d = md5_GG(d, a, b, c, x[k + 2], S22, 0xFCEFA3F8);
		c = md5_GG(c, d, a, b, x[k + 7], S23, 0x676F02D9);
		b = md5_GG(b, c, d, a, x[k + 12], S24, 0x8D2A4C8A);
		a = md5_HH(a, b, c, d, x[k + 5], S31, 0xFFFA3942);
		d = md5_HH(d, a, b, c, x[k + 8], S32, 0x8771F681);
		c = md5_HH(c, d, a, b, x[k + 11], S33, 0x6D9D6122);
		b = md5_HH(b, c, d, a, x[k + 14], S34, 0xFDE5380C);
		a = md5_HH(a, b, c, d, x[k + 1], S31, 0xA4BEEA44);
		d = md5_HH(d, a, b, c, x[k + 4], S32, 0x4BDECFA9);
		c = md5_HH(c, d, a, b, x[k + 7], S33, 0xF6BB4B60);
		b = md5_HH(b, c, d, a, x[k + 10], S34, 0xBEBFBC70);
		a = md5_HH(a, b, c, d, x[k + 13], S31, 0x289B7EC6);
		d = md5_HH(d, a, b, c, x[k + 0], S32, 0xEAA127FA);
		c = md5_HH(c, d, a, b, x[k + 3], S33, 0xD4EF3085);
		b = md5_HH(b, c, d, a, x[k + 6], S34, 0x4881D05);
		a = md5_HH(a, b, c, d, x[k + 9], S31, 0xD9D4D039);
		d = md5_HH(d, a, b, c, x[k + 12], S32, 0xE6DB99E5);
		c = md5_HH(c, d, a, b, x[k + 15], S33, 0x1FA27CF8);
		b = md5_HH(b, c, d, a, x[k + 2], S34, 0xC4AC5665);
		a = md5_II(a, b, c, d, x[k + 0], S41, 0xF4292244);
		d = md5_II(d, a, b, c, x[k + 7], S42, 0x432AFF97);
		c = md5_II(c, d, a, b, x[k + 14], S43, 0xAB9423A7);
		b = md5_II(b, c, d, a, x[k + 5], S44, 0xFC93A039);
		a = md5_II(a, b, c, d, x[k + 12], S41, 0x655B59C3);
		d = md5_II(d, a, b, c, x[k + 3], S42, 0x8F0CCC92);
		c = md5_II(c, d, a, b, x[k + 10], S43, 0xFFEFF47D);
		b = md5_II(b, c, d, a, x[k + 1], S44, 0x85845DD1);
		a = md5_II(a, b, c, d, x[k + 8], S41, 0x6FA87E4F);
		d = md5_II(d, a, b, c, x[k + 15], S42, 0xFE2CE6E0);
		c = md5_II(c, d, a, b, x[k + 6], S43, 0xA3014314);
		b = md5_II(b, c, d, a, x[k + 13], S44, 0x4E0811A1);
		a = md5_II(a, b, c, d, x[k + 4], S41, 0xF7537E82);
		d = md5_II(d, a, b, c, x[k + 11], S42, 0xBD3AF235);
		c = md5_II(c, d, a, b, x[k + 2], S43, 0x2AD7D2BB);
		b = md5_II(b, c, d, a, x[k + 9], S44, 0xEB86D391);
		a = md5_AddUnsigned(a, AA);
		b = md5_AddUnsigned(b, BB);
		c = md5_AddUnsigned(c, CC);
		d = md5_AddUnsigned(d, DD);
	}
	return(md5_WordToHex(a) + md5_WordToHex(b) + md5_WordToHex(c) + md5_WordToHex(d)).toLowerCase();
}

//历史记录
BLE.setSearchMark = function(type, val) {
	//document.getElementById("search-his").style.display = "block";
	val = val.replace(/^\s+|\s+$/g, "");
	var vals = BLE.getSearchMark(type);
	var newvals = [{
		name: val
	}];
	for(var i = 0; i < vals.length; i++) {
		if(vals[i].name != val) {
			newvals.push(vals[i]);
		}
	}
	plus.storage.setItem(type, JSON.stringify(newvals));
}

BLE.getSearchMark = function(type) {
	//	document.getElementById("search-his").style.display = "block";
	var vals = plus.storage.getItem(type);
	if(!vals) return [];
	return JSON.parse(vals);
}
BLE.strogeClear = function(type) {
	plus.storage.removeItem(type);
}
BLE.setH5JSONStroge = function(key, val) {
	val = val || {};
	localStorage.setItem(key, JSON.stringify(val));
}
BLE.getH5JSONStroge = function(key) {
	var json = localStorage.getItem(key);
	return JSON.parse(json);
}

Date.prototype.pattern = function(fmt) {
	var o = {
		"M+": this.getMonth() + 1, //月份           
		"d+": this.getDate(), //日           
		"h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时           
		"H+": this.getHours(), //小时           
		"m+": this.getMinutes(), //分           
		"s+": this.getSeconds(), //秒           
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度           
		"S": this.getMilliseconds() //毫秒           
	};
	var week = {
		"0": "/u65e5",
		"1": "/u4e00",
		"2": "/u4e8c",
		"3": "/u4e09",
		"4": "/u56db",
		"5": "/u4e94",
		"6": "/u516d"
	};
	if(/(y+)/.test(fmt)) {
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	}
	if(/(E+)/.test(fmt)) {
		fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
	}
	for(var k in o) {
		if(new RegExp("(" + k + ")").test(fmt)) {
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
		}
	}
	return fmt;
}

/**
 * 返回文字描述的日期 
 * 
 * @param date 
 * @return 
 */

function add0(m) {
	return m < 10 ? '0' + m : m
}

function formatDate(shijianchuo) {
	//shijianchuo是整数，否则要parseInt转换
	var time = new Date(shijianchuo);
	var y = time.getFullYear();
	var m = time.getMonth() + 1;
	var d = time.getDate();
	var h = time.getHours();
	var mm = time.getMinutes();
	return add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm);
}

function getTimeFormatText(date) {

	if(date == null) {
		return null;
	}

	date = new Date(parseInt(date) * 1000);
	var minute = 60 * 1000; // 1分钟 
	var hour = 60 * minute; // 1小时 
	var day = 24 * hour; // 1天 
	var month = 31 * day; // 月 
	var year = 12 * month; // 年 
	var diff = new Date().getTime() - date.getTime();
	var r = 0;
	if(diff > year) {
		// r = (diff / year); 
		// return r + "年前"; 
		return date.pattern("yyyy-MM-dd");
	}
	if(diff > month) {
		//r = (diff / month); 
		//  return r + "个月前"; 
		return date.pattern("yyyy-MM-dd");
	}
	if(diff > day) {
		r = (diff / day);
		return Math.floor(r) + "天前";
	}
	if(diff > hour) {
		r = (diff / hour);
		return Math.floor(r) + "个小时前";
	}
	if(diff > minute) {
		r = (diff / minute);
		return Math.floor(r) + "分钟前";
	}
	return "刚刚";
}
/**
 * 字数
 * @param {Object} str
 */
function getBt(str) {
	var char = str.replace(/[^\x00-\xff]/g, '**');
	return char.length;
}
//刷新本页面
BLE.reload = function(entityid, tname, mid) {
	var htmls = document.querySelectorAll(".html");
	for(var i = 0; i < htmls.length; i++) {
		htmls[i].innerHTML = "";
	}
	var ad = {
		id: entityid,
		mid: mid ? mid : "",
		tname: tname ? tname : ""
	}
	mui.fire(self, 'getParam', ad);
}
BLE.toPage = function(id, href, args, aniShow) {
	args = args || {};
	var contentPage = plus.webview.getWebviewById(href);
	var isshow = false;

	function show() {
		if(!isshow) {
			setTimeout(function() {
				isshow = true;
				aniShow = aniShow || "slide-in-right";
				contentPage.evalJS("window.scrollTo(0,0)");
				mui.fire(contentPage, 'getParam', args);
				contentPage.show(aniShow, 500);
			}, 500)
		}
	}
	if(!contentPage) {
		contentPage = mui.preload({
			url: href,
			id: id, //默认使用当前页面的url作为id
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});
	}
	show();
}
BLE.refresh = function(id, args) {
		var contentPage = plus.webview.getWebviewById(id);
		if(!contentPage) {
			contentPage = mui.preload({
				url: id,
				id: id, //默认使用当前页面的url作为id
				styles: {}, //窗口参数
				extras: {} //自定义扩展参数
			});
		}
		mui.fire(contentPage, 'getParam', args);
	}
	//自动刷新
function autoResult(id) {
	id = id + "update";
	var state = getItemFun(id);
	if(state) {

		setItemFun(id, false);
	}
}

function setUpate(id) {
	id = id + "update";
	setItemFun(id, true);
}

function posById(id) {
	var epos = getElementPos(id);
	window.scrollTo(0, epos.y);
}

function updateUp(url) {
	// plus.nativeUI.showWaiting("升级中...");
	var dtask = plus.downloader.createDownload(url, {
		method: "GET"
	}, function(d, status) {
		if(status == 200) {
			// console.log( "Download wgtu success: " + d.filename );

			plus.runtime.install(d.filename, {}, function() {
				//				alert(d.filename);
				// plus.nativeUI.closeWaiting();
				// plus.nativeUI.alert("Update wgtu success, restart now!",function(){
				plus.runtime.restart();
				//  });
			}, function(e) {
				//plus.nativeUI.closeWaiting();
				alert("Update wgtu failed: " + e.message);
			});
		} else {
			plus.nativeUI.closeWaiting();
			// alert( "Download wgtu failed: " + status ); 
		}
	});
	dtask.addEventListener('statechanged', function(d, status) {
		alert("statechanged: " + d.state);
	});
	dtask.start();
}

function updateApp(url) {
	plus.nativeUI.showWaiting("升级中...");
	var dtask = plus.downloader.createDownload(url, {
		method: "GET"
	}, function(d, status) {
		if(status == 200) {
			console.log("Download wgtu success: " + d.filename);
			plus.runtime.install(d.filename, {}, function() {
				plus.nativeUI.closeWaiting();
				//plus.nativeUI.alert("Update wgtu success, restart now!",function(){
				plus.runtime.restart();
				//});
			}, function(e) {
				plus.nativeUI.closeWaiting();
				alert("更新失败: " + e.message);
			});
		} else {
			plus.nativeUI.closeWaiting();
			alert("下载失败: " + status);
		}
	});
	dtask.addEventListener('statechanged', function(d, status) {
		console.log("statechanged: " + d.state);
	});
	dtask.start();
}
//验证手机号码
function yz(v) {
	var a = /^[1][3578][0-9]{9}$/;
	if(v.length != 11 || !v.match(a)) {
		//	span1.setAttribute("style", "color:red;font-size:12px;");
		//	span1.innerHTML = "请输入正确的手机号码!";
		shouji.value = "";
	} else {
		//	span1.setAttribute("style", "color:#f5f5f5;font-size:12px;");
		//span1.innerHTML = "您输入的号码正确!";
	}
}
//验证手机密码
function yzpass(v) {
	if(v.length >= 6) {
		//span2.setAttribute("style", "color:#f5f5f5;font-size:12px;");
		//span2.innerHTML = "您输入的密码合格!";
	} else {
		//	span2.setAttribute("style", "color:red;font-size:12px;");
		//span2.value = "";
		//	span2.innerHTML = "您输入的密码不能少于6位!";
	}
}

function updateuser() {
	//获得列表界面的webview
	var list = plus.webview.getWebviewById('my.html');
	//触发列表界面的自定义事件（refresh）,从而进行数据刷新
	list.evalJS("initPage()");
	var survey = plus.webview.getWebviewById('survey.html');
	survey.evalJS("result()");
}

function userloading(a, b, c) {
	myUser.set(a);
	var usercode = md5(b + "bevol" + c);
	var authinfo = {
		usercode: usercode
	};
	setItemFun("authinfo", authinfo);
	plus.nativeUI.toast("您成功登录");
	setTimeout(function() {
		updateuser();
		self.close();
	}, 1000);
}

function getInfo(entityid, tname, call) {
	//统计
	var url = BLE.path_api + "entity/state/" + tname;
	mui.post(url, {
		id: entityid
	}, function(reqdata) {
		if(reqdata.ret == 0) {
			//				alert(JSON.stringify(reqdata))
			var data = reqdata.result;
			var user = myUser.get();
			if(user && user.id) {
				myRelation(data);
			} else {
				call(data);
			}
		}
	}, "json");

	function myRelation(rd) {
		var url = BLE.path_api + "auth/entity/relation/" + tname;
		var myrelation = "";
		mui.post(url, {
			id: entityid
		}, function(reqdata) {
			if(reqdata.ret == 0) {
				var data = reqdata.result;
				rd.isComment = data.isComment;
				rd.like = data.like;
				rd.isCollection = data.isCollection;
				call(rd);
			}
		}, "json");
	}
}

function getComment(tname, entityid, pager, type, pageSize, call, comment_main_id) {
	var url = BLE.path_api + "entity/comment2/lists/" + tname;
	pager = pager ? pager : 0;
	type = type ? type : 0;
	var user = myUser.get();
	var result = user && user.result ? user.result : "";
	if(type == 0) result = "";
	if(!comment_main_id) {
		comment_main_id = 0;
	}
	var data = {
		id: entityid,
		pager: pager,
		type: type,
		skin: result,
		pageSize: pageSize,
		comment_main_id: comment_main_id
	}
	mui.post(url, data, function(data) {
		if(data.ret == 0 && data.result && data.result.length > 0) {
			subcomment(data.result, comment_main_id)
			call(data);
		} else {
			call(data);
		}
	}, "json");
}
var allComments = {};

function subcomment(items, comment_main_id) {
	for(var i = 0; i < items.length; i++) {
		var item = items[i];
		allComments[item.id] = item;
		var cmt = item;
		var userInfo = cmt.userInfo;
		if(userInfo) {
			cmt.nickname = userInfo.nickname;
			cmt.headimgurl = userInfo.headimgurl;
			cmt.descz = userInfo.descz;
			if(cmt.headimgurl) {
				if(cmt.headimgurl.indexOf("apps") != -1) {
					cmt.headimgurl = "";
				}
			}
			item.skinDesc = getSkinResluts(item.skinResults);
			if(!item.createStamp) {
				item.createStampText = formatDate(item.updateStamp * 1000);
			} else {
				item.createStampText = formatDate(item.createStamp * 1000);
			}
	
			mui.extend(item, convertStr(item.content));
		}else{
//			items.splice(i, 1);
		}
	}
	
	if(!comment_main_id) {
		setItemFun("allComments", allComments);
	}
}
var skintype = {
	"DZ": "重干",
	"DQ": "轻干",
	"OQ": "轻油",
	"OZ": "重油",
	"RZ": "重耐",
	"RQ": "轻耐",
	"SQ": "轻敏",
	"SZ": "重敏",
	"N": "非色素",
	"P": "色素",
	"T": "紧致",
	"W": "皱纹"
}

function getSkinResluts(skinResults) {
	var skinDesc = [];
	if(skinResults) {
		skinResults = skinResults.split("_");
		skinDesc[0] = skintype[skinResults[0]];
		skinDesc[1] = skintype[skinResults[1]];
		skinDesc[2] = skintype[skinResults[2]];
		skinDesc[3] = skintype[skinResults[3]];
	}
	return skinDesc;
}

function convertStr(content) {
	var pcount = getBt(content);
	var minicontent = "";
	if(pcount > 100) {
		minicontent = content.substring(0, 100 / 2) + "...";
	} else {
		minicontent = content;
	}
	return {
		pcount: pcount,
		minicontent: minicontent
	}
}
mui(document).on("tap", ".zhankai", function() {
	var id = this.getAttribute("data-id");
	var minipl = document.getElementById("minicontent_" + id);
	var pl = document.getElementById("content_" + id);
	if(this.innerText == "全文") {
		//						this.innerText="收起";
		minipl.style.display = "none";
		pl.style.display = "";
		//pl.setAttribute("style","overflow:visible;text-overflow: clip;white-space:normal;");
	} else {
		//						this.innerText="...全文";
		minipl.style.display = "";
		pl.style.display = "none";
		//pl.setAttribute("style","overflow:hidden;text-overflow:ellipsis;white-space:nowrap;");
	}
});

//评论点赞      	   
function clike(_this, id) {
	var entityId = document.getElementById("entityid").value;
	var tname = document.getElementById("tname").value;
	var like = function() {
		var clikecount = _this.getElementsByTagName("span")[0].innerHTML;
		clikecount = clikecount ? clikecount : 0;
		var url = BLE.path_api + "auth/entity/comment/like/" + tname;
		if(BLE.clike) return;
		BLE.clike = true;
		var user = myUser.get();
		var skin = "";
		if(user.result) skin = user.result;
		mui.ajax({
			url: url,
			type: "post",
			data: {
				commentId: id,
				skin: skin
			},
			cache: false,
			dataType: "json",
			success: function(data) {
				BLE.clike = false;
				if(data.ret == 0) {
					var rt = data.result;
					if(rt.type == 1) {
						_this.getElementsByTagName("span")[0].innerHTML = (parseInt(clikecount) + rt.type);
						_this.getElementsByTagName("img")[0].src = "../images/zanzan.png";
					} else if(rt.type == -1) {
						//							_this.getElementsByTagName("span")[0].innerHTML = (parseInt(clikecount) + rt.type);
						_this.getElementsByTagName("img")[0].src = "../images/zan.png";
					}
					if(_this.getElementsByTagName("span")[0].innerHTML == -1) {
						_this.getElementsByTagName("span")[0].innerHTML = 0;
					}
				}
			}
		});
	}
	logincheck(function(userinfo) {
		like();
		//BLE.reload(entityid);
	}, function() {
		var entityid = document.getElementById("entityid").value;
		BLE.reload(entityid);
	})
}

function getUserByid(result, call, field) {
	if(!result || result.length == 0) {
		call()
		return;
	}

	var userids = [];
	field = field ? field : "userId";
	for(var i = 0; i < result.length; i++) {
		userids.push(result[i][field]);
	}
	var url = BLE.path_api + "userinfo";
	if(userids.length == 0) {
		call();
		return;
	}
	mui.post(url, {
		id: userids.join(",")
	}, function(data) {
		if(data.ret == 0) {
			var users = data.result;
			for(var i = 0; users && i < users.length; i++) {
				for(var j = 0; j < result.length; j++) {
					if(users[i].id == result[j][field]) {
						result[j].nickname = users[i].nickname;
						result[j].headimgurl = users[i].headimgurl;
						result[j].descz = users[i].descz;
						if(users[i].headimgurl.indexOf("apps") != -1) {
							result[j].headimgurl = "";
						}
					}
				}
			}
		}
		call()
	}, "json");

}
BLE.isVdt = function() {
	//验证是否评论过
	var status = getItemFun("status");
	if(status && status.isComment) {
		mui.toast("不能重复点评!");
		return false;
	}
	return true;
}

mui(document).on("tap", "[data-tips]", function() {
	var tips = this.getAttribute("data-tips");
	mui.toast(tips);
});

function checkLength() {
	var value = document.getElementById("acontent").value;
	if(document.getElementById("tname")) {
		var tname = document.getElementById("tname").value;
	}
	var zcount = getBt(value);
	var zmin = 60;
	if(document.getElementById('correction')) {
		if(zcount < zmin && tname == 'goods') {
			document.getElementById('correction').style.color = "#AC69FE";
			return;
		} else if(zcount < 2) {
			document.getElementById('correction').style.color = "#AC69FE";
			return;
		} else {
			document.getElementById('correction').style.color = "#AC69FE";
		}
	}
}

BLE.statistic = function(sname, args) {
	if(sname) {
		var ver = plus.runtime.version;
		//alert(sname+"  "+ver);
		args = args ? args : "";
		args = ver + "_" + args;
		plus.statistic.eventTrig(sname, args);
	}
}

function jubao111() {
	var tname = document.getElementById("tname").value;
	var url = BLE.path_api + "auth/feedback";
	var jubaoid = BLE.jubaoid;
	var data = {
		actionname: "comment_" + tname,
		action: 3,
		actionid: jubaoid,
		source: plus.os.name
	};
	logincheck(function(userinfo) {
		mui.post(url, data, function(data) {
			if(data.ret == 0) {
				plus.nativeUI.toast("您已举报成功");
				mui('#delete').popover('toggle');
			} else {
				plus.nativeUI.toast("您未举报成功");
			}
		}, "json");
	}, function() {
		var entityid = document.getElementById("entityid");
		BLE.reload(entityid);
	})
}
mui(document).on("tap", ".jubao", function() {
	var id = this.title;
	BLE.jubaoid = id;
});
mui(document).on("tap", ".jubao1", function() {
	var id = this.title;
	BLE.jubaoid = id;
});
mui(document).on("tap", "#jubao111", function() {
	jubao111.call();
});

//获取数组随机函数
function sendNum(arr) {
	return arr[Math.floor(Math.random() * arr.length)];
}

//登录后跳转页面
function loginedPager() {
	var to_pager = getItemFun("to_pager");
	var a_href = to_pager["a-href"];
	if(a_href) {
		BLE.toPage(a_href, a_href);
		self.hide();
		setTimeout(function() {
			plus.webview.close(plus.webview.currentWebview());
		}, 1000)
	}
}